#include <bits/stdc++.h>

using namespace std;

int main()
{
	long long int n, poc[10001], t[10001], kil, maxx=(-1), maxn=0;
	int mas[10001]={0}, b=0;
	long long int i=0, ost=0;
	cin>>n;
	kil=n;
	for(int i=1;i<=n;i++)
	{
		cin>>poc[i]>>t[i];
	}
	while(kil>0)
	{
		b=0;
		for(i=1; i<=n;i++)
		{
			if(mas[i]==1)
			{
				ost+=t[i];
				continue;
			}
			if(maxx<t[i])
			{
				maxn=i;
			}
			ost=poc[i]-poc[i-1]-t[i]+ost;
			if(ost>=0)
			{
				continue;
			}
			if(ost<0)
			{
				mas[maxn]=1;
				b=1;
				break;
			}
		}
		ost=0;
		if(b==0)
		{
			cout<<kil;
			return 0;
		}
		kil--;
	}
	cout<<0;
}
